Bug 328321 - [RHEL5.2]: Xen 3.1.1 swiotlb fixes
[RHEL5.2]: Xen 3.1.1 swiotlb fixes
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Bill Burns
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-10-11 16:01 EDT by Chris Lalancette
Modified: 2008-05-21 10:58 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 10:58:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2007-10-11 16:01:35 EDT
Description of problem:
Upstream xen-3.1.1 contains a series of patches to better deal with swiotlb. 
This may or may not help some of the issues we've been seeing with certain block
devices under Xen, but they should be evaluated and possibly included in 5.2. 
The xen-3.1-testing.hg changesets are:

15405, 15407, 15408, 15409, 15412, 15413
Comment 2 Marcus Barrow 2007-12-10 13:42:57 EST
Some of these issues where reported by EMC, would you like them to test
these patches to see if the issue is resolved?
Comment 3 Wayne Berthiaume 2007-12-27 12:58:06 EST
Adding team members familiar with the issues.
Comment 4 Don Zickus 2008-01-21 12:28:17 EST
in 2.6.18-71.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2008-05-21 10:58:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.